#ifndef UNINIT_H
#define UNINIT_H
/************************************************************************\
* Project Von Neumann - uninit.h header file                             *
* -----------------------------------------------------------------------*
* Copyright (C) 1995, 1996 Project Von Neumann Team.                     *
* -----------------------------------------------------------------------*
* Last Revised: May '96                                                  *
* By          : Martijn Faassen                                          *
* Version #   : 0.75                                                     *
* Description : Universe initialisation functions                        *
\************************************************************************/ 

/* include types */
#include "untypes.h"

void UN_InitSectors(unsigned int x_sectors, unsigned int y_sectors);
void UN_InitObject(UN_Object* object);
void UN_InitObjCoord(UN_Object* object, UN_Coord x, UN_Coord y,
		     unsigned int w, unsigned int h,
		     UN_Direction facedir);
void UN_InitObjVelocity(UN_Object* object, UN_Velocity velx, UN_Velocity vely);
void UN_InitObjType(UN_Object* object, UN_ObjType type);
void UN_InitObjStats(UN_Object* object, long shield, long energy, long mass);
void UN_InitObjAnimate(UN_Object* object, unsigned char turn, 
		       unsigned long thrust, UN_Actions actions);
void UN_InitThrust();
void UN_Init();

#endif






